Support » Plugin: Redis Object Cache » If the password is set, the plug-in cannot connect

  • Resolved xtlqt

    (@xtlqt)


    After the plug-in is upgraded from 1.4.3 to 1.5.5, it is found that the status is not connected. I’ve added the constants defined below to wp-config.php

    define( 'WP_REDIS_DATABASE', 1 );   
    define( 'WP_REDIS_PASSWORD', 'mypassword' );

    When I cancel the requirepass in redis.conf file and restart the Redis, the plug-in status will be displayed as connected. I have to set the redis password because I need to access redis remotely and securely. So, how to solve this problem.

    • This topic was modified 11 months, 1 week ago by xtlqt.
Viewing 10 replies - 1 through 10 (of 10 total)
  • Plugin Author Till Krüss

    (@tillkruess)

    Can you post your diagnostics please? Are you seeing any error in your logs?

    xtlqt

    (@xtlqt)

    When the requirepass key is not set in the redis.conf file, the plug-in is connected. The diagnostics is :

    Status: Connected
    Redis Version: 5.0.7
    Client: PhpRedis (v5.1.1)
    Drop-in: Valid
    Ping: 1
    Redis Extension: 5.1.1
    Predis Client: 1.1.1
    PHP Version: 7.3.6
    Multisite: No
    Global Prefix: "wp_"
    Blog Prefix: "wp_"
    WP_REDIS_DATABASE: 1
    WP_REDIS_PASSWORD: "**************************************"
    Global Groups: [
        "blog-details",
        "blog-id-cache",
        "blog-lookup",
        "global-posts",
        "networks",
        "rss",
        "sites",
        "site-details",
        "site-lookup",
        "site-options",
        "site-transient",
        "users",
        "useremail",
        "userlogins",
        "usermeta",
        "user_meta",
        "userslugs",
        "blog_meta",
        "wpjam_list_cache",
        "wpjam_messages"
    ]
    Ignored Groups: [
        "counts",
        "plugins",
        "themes"
    ]
    Unflushable Groups: []
    Dropins: 
     - Query Monitor Database Class v by 
     - Redis Object Cache Drop-In v1.5.5 by Till Krüss
    Plugins: 
     - Elementor v2.8.2 by Elementor.com (Active)
     - Elementor Pro v2.8.2 by Elementor.com (Active)
     - Lumise - Product Designer Tool v1.7.6 by King-Theme (Active)
     - Mailchimp for WooCommerce v2.3 by Mailchimp (Active)
     - Query Monitor v3.5.2 by John Blackbourn (Active)
     - Redis Object Cache v1.5.5 by Till Krüss (Active)
     - Shortcode in Menus v3.5 by Gagan Deep Singh (Inactive)
     - Wechat Social v1.2.9 by 迅虎网络 (Active)
     - WooCommerce v3.8.1 by Automattic (Active)
     - WooCommerce Admin v0.23.2 by WooCommerce (Inactive)
     - WooCommerce Chinesize by Wenprise v1.0.2 by WordPress智库 (Inactive)
     - WooCommerce微信支付(红包) v2.2.4 by 迅虎网络 (Active)
     - Wordfence Security v7.4.2 by Wordfence (Inactive)
     - WordPress Importer v0.6.4 by wordpressdotorg (Active)
     - WPJAM BASIC v3.9 by Denis (Active)

    When the requirepass key is set in the redis.conf file, the plug-in is not connected. The diagnostics is:

    Status: Not Connected
    Redis Version: Unknown
    Client: PhpRedis (v5.1.1)
    Drop-in: Valid
    Ping: 1
    Redis Extension: 5.1.1
    Predis Client: 1.1.1
    PHP Version: 7.3.6
    Multisite: No
    Global Prefix: "wp_"
    Blog Prefix: "wp_"
    WP_REDIS_DATABASE: 1
    WP_REDIS_PASSWORD: "**************************************"
    Global Groups: [
        "blog-details",
        "blog-id-cache",
        "blog-lookup",
        "global-posts",
        "networks",
        "rss",
        "sites",
        "site-details",
        "site-lookup",
        "site-options",
        "site-transient",
        "users",
        "useremail",
        "userlogins",
        "usermeta",
        "user_meta",
        "userslugs"
    ]
    Ignored Groups: [
        "counts",
        "plugins",
        "blog-details",
        "blog-id-cache",
        "blog-lookup",
        "global-posts",
        "networks",
        "rss",
        "sites",
        "site-details",
        "site-lookup",
        "site-options",
        "site-transient",
        "users",
        "useremail",
        "userlogins",
        "usermeta",
        "user_meta",
        "userslugs",
        "blog_meta",
        "wpjam_list_cache",
        "wpjam_messages",
        "themes"
    ]
    Unflushable Groups: []
    Dropins: 
     - Query Monitor Database Class v by 
     - Redis Object Cache Drop-In v1.5.5 by Till Krüss
    Plugins: 
     - Elementor v2.8.2 by Elementor.com (Active)
     - Elementor Pro v2.8.2 by Elementor.com (Active)
     - Lumise - Product Designer Tool v1.7.6 by King-Theme (Active)
     - Mailchimp for WooCommerce v2.3 by Mailchimp (Active)
     - Query Monitor v3.5.2 by John Blackbourn (Active)
     - Redis Object Cache v1.5.5 by Till Krüss (Active)
     - Shortcode in Menus v3.5 by Gagan Deep Singh (Inactive)
     - Wechat Social v1.2.9 by 迅虎网络 (Active)
     - WooCommerce v3.8.1 by Automattic (Active)
     - WooCommerce Admin v0.23.2 by WooCommerce (Inactive)
     - WooCommerce Chinesize by Wenprise v1.0.2 by WordPress智库 (Inactive)
     - WooCommerce微信支付(红包) v2.2.4 by 迅虎网络 (Active)
     - Wordfence Security v7.4.2 by Wordfence (Inactive)
     - WordPress Importer v0.6.4 by wordpressdotorg (Active)
     - WPJAM BASIC v3.9 by Denis (Active)

    By the way, my password is 38 characters.

    xtlqt

    (@xtlqt)

    php_error_log :

    
    [27-Dec-2019 02:10:06 UTC] RedisException: NOAUTH Authentication required. in /opt/lampp/htdocs/wp-content/object-cache.php:572
    
    Plugin Author Till Krüss

    (@tillkruess)

    Try moving the password all the way to the top of your config file.

    xtlqt

    (@xtlqt)

    Thanks for your reply. I did, but the problem is still there.

    Plugin Author Till Krüss

    (@tillkruess)

    Can you try defining the host and port explicitly?

    xtlqt

    (@xtlqt)

    In wp-config.php, set as follows

    define( 'WP_REDIS_HOST', '127.0.0.1' ); 
    define( 'WP_REDIS_PORT', '6379' ); 
    define( 'WP_REDIS_DATABASE', 1 );   
    define( 'WP_REDIS_PASSWORD', 'mypassword_mypassword_mypassword_mypas' ); 

    Still unable to connect

    Plugin Author Till Krüss

    (@tillkruess)

    That’s very strange, since it’s working for everyone else.

    Are you doing something fancy, or have you modified the plugin in any way?

    https://serverfault.com/questions/722803/redis-error-noauth-authentication-required

    xtlqt

    (@xtlqt)

    Thanks for your help, I will try not to use remote access redis

    Did you solve it? I have the same issue

Viewing 10 replies - 1 through 10 (of 10 total)
  • You must be logged in to reply to this topic.